import React from "react";
import LiteYouTubeEmbed from "react-lite-youtube-embed";
import "react-lite-youtube-embed/dist/LiteYouTubeEmbed.css";
interface Props {
  embedId: string;
  className?: string;
  onFirstClick?: (e: React.MouseEvent<HTMLDivElement>) => void;
  faded?: boolean;
}

export const YoutubeEmbed: React.FC<Props> = ({
  embedId,
  className,
  onFirstClick,
  faded,
}) => {
  // const [isUnlocked, setIsUnlocked] = useState(false);

  // const clickPassepartout = (e) => {
  //   onFirstClick && onFirstClick(e);
  // };

  // const passepartoutCommonClasses =
  //   "cursor-pointer absolute z-10 bg-transparent";
  return (
    <div
      className={`relative h-[212px] sm:h-[300px] lg:h-[487px] w-full aspect-video transition-opacity ease-in duration-100 ${
        className || ""
      }`}
    >
      {/* Render a "passepartout"/frame on top of the YouTube embed, so we can slide the videos, without them starting to play. */}
      {/* {!isUnlocked && (
        <>
          <div
            onClick={clickPassepartout}
            className={`${passepartoutCommonClasses} top-0 w-full h-1/3`}
          />
          <div
            onClick={clickPassepartout}
            className={`${passepartoutCommonClasses} left-0 h-full w-1/3`}
          />
          <div
            onClick={clickPassepartout}
            className={`${passepartoutCommonClasses} right-0 h-full w-1/3`}
          />
          <div
            onClick={clickPassepartout}
            className={`${passepartoutCommonClasses} bottom-0 w-full h-1/3`}
          />
        </>
      )} */}
      <LiteYouTubeEmbed id={embedId} title="YouTube Video" noCookie={true} />
    </div>
  );
};
