import * as React from "react";
import { FabCityHamburgLogo } from "@components/FabCityHamburgLogo";

export const LogoStory = () => (
  <div className="flex gap-8">
    <div className="bg-white p-8">
      <FabCityHamburgLogo />
    </div>
    <div className="bg-grey-900 p-8">
      <FabCityHamburgLogo lightColor />
    </div>
    <div className="bg-white p-8">
      <FabCityHamburgLogo vertical />
    </div>
    <div className="bg-grey-900 p-8">
      <FabCityHamburgLogo vertical lightColor />
    </div>
    <div className="bg-white p-8">
      <FabCityHamburgLogo monotone />
    </div>
    <div className="bg-grey-900 p-8">
      <FabCityHamburgLogo monotone lightColor />
    </div>
  </div>
);

export default {
  title: "Molecules",
};
LogoStory.storyName = "Logo";
